import os
import json


logdir = "data/local/experiment/"
for filename in os.listdir(logdir):
    metadata_filename = os.path.join(logdir, filename, "variant.json")
    metadata = json.load(open(metadata_filename))
    if "name" in metadata.keys() and metadata["name"] is not None:
        print("{}: {}".format(filename, metadata["name"]))
